Loading...
Searching...
No Matches
Dune::DynamicMatrixHelp Namespace Reference

## Functions

template<typename K, class C>
static void | eigenValuesNonSym (const DynamicMatrix< K > &matrix, DynamicVector< C > &eigenValues, std::vector< DynamicVector< K > > *eigenVectors=nullptr)
| calculates the eigenvalues of a symmetric field matrix

## Function Documentation

## eigenValuesNonSym()

template<typename K, class C>

void Dune::DynamicMatrixHelp::eigenValuesNonSym | ( | const DynamicMatrix< K > & | matrix,
|  | DynamicVector< C > & | eigenValues,
|  | std::vector< DynamicVector< K > > * | eigenVectors = nullptr )

static

calculates the eigenvalues of a symmetric field matrix

Parameters

  [in] | matrix | matrix eigenvalues are calculated for
  [out] | eigenValues | FieldVector that contains eigenvalues in ascending order
  [out] | eigenVectors | (optional) list of right eigenvectors

Note
  LAPACK::dgeev is used to calculate the eigen values